search cancel

Can we setup up a new 14.4 IDM servers on Weblogic connecting to existing (current) 14.2 IDM DB?

book

Article ID: 229088

calendar_today

Updated On:

Products

CA Identity Manager

Issue/Introduction

We setup IDM 14.4 on new Weblogic 12c R2 servers, while connecting to the same old db instance running on MS SQL server.

Is this a supported upgrade path?

Environment

Current IDM version is at :  14.2.0.0.425

Current WebLogic Server Version: 12.1.3.0.0

Resolution

You would not install fresh on the new machine with 14.4 and point to the old database. This would not work as IGA does not see the old DB and automatically upgrade it. 

Please see the upgrade scripts located in C:\Program Files (x86)\CA\Identity Manager\IAM Suite\Identity Manager\tools\db

The scripts should be used to upgrade your database to 14.4.  Once upgrade, you can not use 14.2 against the 14.4 DB.